Bug 128501 - FILESAVE: DOC: Cropped images are lost after RT
Summary: FILESAVE: DOC: Cropped images are lost after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium major
Assignee: Xisco Faulí
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, dataLoss, regression
Depends on:
Blocks: OOXML-support-crop-shape-regressions
  Show dependency treegraph
 
Reported: 2019-10-31 12:47 UTC by Xisco Faulí
Modified: 2020-12-17 15:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-31 12:47:46 UTC
Steps to reproduce:
1. Open attachment 46861 [details] from bug 37315
2. Save it as RTF or DOC file
3. Open the new created file

-> all the images are gone

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 2d0a4182712673d8f7a5abe919cd2a1d5ece4a77
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-10-31 12:48:57 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f4ba484183a1e7b9824f10580d633466c266828f

author	Tamas Bunth <tamas.bunth@collabora.co.uk>	2019-05-13 01:02:07 +0200
committer	Tamás Bunth <btomi96@gmail.com>	2019-05-13 18:14:26 +0200
commit	f4ba484183a1e7b9824f10580d633466c266828f (patch)
tree	5795d2c442e3dbb3496fcfd5ac6f5bd8ddc39e15
parent	8401a26363bf7cb3c30bf783b3f8978f4b69e4c4 (diff)
ooxml import: supprt cropping to shape

Bisected with: bibisect-linux64-6.3

Adding Cc: to Tamas Bunth
Comment 2 Timur 2020-03-31 10:05:04 UTC
Repro 7.0+.
Comment 3 Xisco Faulí 2020-12-01 16:24:11 UTC
Still reproducible in

Version: 7.2.0.0.alpha0+
Build ID: 79ec66700266a22966d9e308a716be56c9c3a4a7
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 4 Xisco Faulí 2020-12-01 16:29:22 UTC
Hi Miklos,
this is a similar problem to bug 127086 that you fixed recently,but it affects RTF/DOC formats instead of PPT
Comment 5 Xisco Faulí 2020-12-01 17:38:43 UTC
Looking at miklos' commit for bug 127086, I think I can fixed this. taking
Comment 6 Xisco Faulí 2020-12-01 18:27:14 UTC
(In reply to Xisco Faulí from comment #5)
> Looking at miklos' commit for bug 127086, I think I can fixed this. taking

https://gerrit.libreoffice.org/c/core/+/107003
Comment 7 Commit Notification 2020-12-02 16:26:36 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f9325b270fab10f6900aec30ca27135363c4c69

tdf#128501: DOC export: fix lost bitmap fill for OOXML custom shapes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-12-02 16:28:40 UTC
My commit fixes the DOC part. Will create a follow-up ticket for the RTF
Closing as RESOLVED FIXED
Comment 9 Commit Notification 2020-12-02 19:05:22 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/36a46273a010f35b9a475ea5601fa1c10fb5abbf

tdf#128501: DOC export: fix lost bitmap fill for OOXML custom shapes

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-12-17 15:53:29 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/33d85de4b964638192eabdb5753a5ca87d6892b7

tdf#128501: DOC export: fix lost bitmap fill for OOXML custom shapes

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.